## gate.gui
Class ResourceParametersEditor.ParameterDisjunctionEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor
            |
            +--javax.swing.DefaultCellEditor
                  |
                  +--gate.gui.ResourceParametersEditor.ParameterDisjunctionEditor

All Implemented Interfaces:
  CellEditor, Serializable, TableCellEditor, TreeCellEditor

Enclosing class:
  ResourceParametersEditor

class ResourceParametersEditor.ParameterDisjunctionEditor
extends DefaultCellEditor

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.DefaultCellEditor
`DefaultCellEditor.EditorDelegate`

Field Summary
`(package private) JComboBox` `combo`
`(package private) ParameterDisjunction` `pDisj`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`ResourceParametersEditor.ParameterDisjunctionEditor()`

Method Summary
`Object` `getCellEditorValue()`
`Component` `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
`boolean` `stopCellEditing()`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, removeCellEditorListener`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Field Detail

### combo

    JComboBox combo

### pDisj

    ParameterDisjunction pDisj

Constructor Detail

### ResourceParametersEditor.ParameterDisjunctionEditor

    public ResourceParametersEditor.ParameterDisjunctionEditor()

Method Detail

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Overrides:
    `getTableCellEditorComponent` in class `DefaultCellEditor`

### getCellEditorValue

    public Object getCellEditorValue()

  Overrides:
    `getCellEditorValue` in class `DefaultCellEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Overrides:
    `stopCellEditing` in class `DefaultCellEditor`